<STYLE type="text/css">
    .NBm {
        background:#222;
        z-index: 200;
        color:#fff;
        width:400px;
        border:1px solid #fff;
        position:absolute;
        font-size:12px;
    }
    .NBm p {
        font-size:12px;
        color:#fff;
        text-align: left;
        text-indent: 0.5em;
    }
    #LogOutForm {
        position:relative;
    }
    #zak  {
        margin-right: 5px;
        margin-top: 5px;
        float: right;
        background-image:url(/images/zakr.png);
        background-repeat:no-repeat;
        width:14px;
        height:14px;
    }
</STYLE>
<script type="text/javascript">
    function floatval(val) {
        val = val.replace(/,/,'.');
        return parseFloat(val);
    };
    $.materialEdit = {
        categories:{},
        selectType:function (obj) {
            var id = $(obj).val();
            if(this.categories.hasOwnProperty(id)) {
                var category = this.categories[id];
                if(category.group_id=='2') {
                    $('#sizes_price').show();
                }  else {
                    $('#sizes_price').hide();
                }
            }

        },
        recalculateSizePrice: function (obj) {
            var material_price = floatval($('.material-price').val());
            var size = $(obj).closest('.material-size');
            var val = floatval($(obj).val());
            if(!isNaN(val) && !isNaN(material_price)) {
                if($(obj).hasClass('material-size-coefficient')) {
                   var total = material_price*val;
                   size.find('.material-size-price').val(total.toFixed(5));
                } else if($(obj).hasClass('material-size-price')) {
                    var total = val/material_price;
                    size.find('.material-size-coefficient').val(total.toFixed(5));
                }
            } else {
                size.find('.material-size-price').val('');
                size.find('.material-size-coefficient').val('');
            }
        },
        recalculatePrices: function (obj) {
            var price = floatval($(obj).val());
            if(!isNaN(price)) {
                $('.material-size').each(function () {
                   var koef =  floatval($(this).find('.material-size-coefficient').val());
                   var size_price =  floatval($(this).find('.material-size-price').val());
                    if(!isNaN(koef)) {
                        $.materialEdit.recalculateSizePrice($(this).find('.material-size-coefficient'));
                    } else if(!isNaN(size_price)){
                        $.materialEdit.recalculateSizePrice($(this).find('.material-size-price'));
                    } else {
                       $(this).find('.material-size-price').val('');
                        $(this).find('.material-size-coefficient').val('');
                    }
                });
            }
        }
    };
   $(document).ready(function () {
       $('.material-save').submit(function () {
           var form = $(this);
           var success = function(response) {
               if (response.status == 'ok') {
                   var data = response.data;
                   if(data.id) {
                       window.location.href = '?module=material&action=edit&id='+data.id;
                   }
               } else {
                   alert(response.errors.join(','));
               }
           };
           $.ajax({
               url: form.attr('action'),
               data: form.serialize(),
               type: 'post',
               dataType: 'json',
               success: success
           });
           return false;
       });
       $('.material-size-clear').click(function () {
           var size = $(this).closest('.material-size');
           size.find('.material-size-coefficient').val('');
           size.find('.material-size-price').val('');
           return false;
       });
       $('.material-size-coefficient').blur(function () {
           $.materialEdit.recalculateSizePrice($(this));
       });
       $('.material-size-price').blur(function () {
           $.materialEdit.recalculateSizePrice($(this));
       });
       $('.material-category').change(function () {
           $.materialEdit.selectType($(this));
       });
       $('.material-price').blur(function () {
           $.materialEdit.recalculatePrices($(this));
       });
       $.materialEdit.categories = {json_encode($Pricing->getMaterialsCategories())};
   });
</script>
<h2>Редактирование материлала</h2>
{$sizes = $Pricing->getSizes()}
<form action="?module=material&action=save" class="material-save" method="post">

    {if $material}
    <input type="hidden" name="id" value="{$material->getId()}">
    {/if}
    <table cellpadding="4" cellspacing="1" border="0" class="form light material-save" style="margin-left: 20px; width: 700px;">
        <tr>
            <td>Категория материала:</td>
            <td>
                <select name="category_id" id="category_id" aria-required="true" class="material-category">';
                    {foreach $Pricing->getMaterialsCategories() as $k => $v}
                   <option value="{$k}"
                           {if $material && $k == $material['category_id']} selected="selected"{elseif $category==$k} selected="selected" {/if}>
                    {$v['name']}
                    </option>
                    {/foreach}
                   </select>
            </td>
        </tr>
        <tr>

            <td>Название материала:</td>
            <td><input style="width:400px" type="text" name="name" value="{if $material}{$material->getName()}{/if}" maxlength="255"></td>
        </tr>
        <tr>
            <td>Цена материала:</td>
            <td><input style="width:400px" type="text" name="price" class="material-price" value="{$material['price']}">
            </td>
        </tr>
        <tr>
            <td>Тип материала:</td>
            <td><select name="type">
                <option value="formula" {if $material && $material->getSubType()=='formula'} selected {/if}>Расчет по формуле</option>
              <!--  <option value="coefficient" {if $material && $material->getSubType()=='coefficient'} selected {/if}>Расчет по коэфициенту</option>-->
                <option value="delimiter" {if $material && $material->getSubType()=='delimiter'} selected {/if}>Раделитель материалов</option>
            </select>
            </td>
        </tr>
        <tr>
            <td>Формула для расчета:</td>
            <td>
                <input style="width:400px" type="text" name="formula" class="material-formula" value="{if $material}{$material->getFormula()}{/if}">
            </td>
        </tr>
        <td>Порядок сортировки:</td>
        <td><input style="width:400px" type="number" name="sort" value="{if $material}{$material['sort']}{/if}" style=" width:30px;"></td>
        </tr>
        <tr id="sizes_price" {if $material && $material->getType()=='2'}{else}style="display:none;"{/if}>
            <td valign="top">Цены по размерам:</td>
            <td>
                <div style="padding:10px;">
                    <table  border="0" cellspacing="4" >
                    <tr>
                        <td>Размер</td>
                        <td>Коэффициент</td>
                        <td>Цена</td>
                    </tr>

                        {if $material}
                    {foreach $material->getSkusFeatures() as $index=> $v}
                        <tr class="material-size">
                            <td><strong>{manufactoryFeaturesSkusGenerate::getSkuIndexName($index)}</strong></td>

                            <td>
                            {$v['coefficient']} = [{$v['calculate_string']}]
                            </td>
                            <td>
                                {$pr = round($material->getCost()*floatval($v['coefficient']), 2)}
                                {$pr}
                            </td>
                        </tr>
                    {/foreach}
                        {/if}
                   </table></div>
            </td>
        </tr>
        <tr>
            <td></td>
            <td><input type="submit" value="Сохранить" class="button green"></td>
        </tr>
    </table></form>
<script>

</script>